Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 17 Mar 2023 12:22:24 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello 
I had requested to return my order and in your answer , you said that your delivery partner will come to pick up the package within 2_5 working days. 
today,  5 days have passed since my request and unfortunately I didn't receive any calls or messages from SPLASH.
I want to follow up on my request as soon as possible. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5863920